﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Webshop.Models;
using System.Data;

namespace Webshop.Controllers
{
    [Authorize]
    public class CheckoutController : Controller
    {
        WebshopEntities storeDB = new WebshopEntities();

        // GET: /Checkout/AddressAndPayment
        public ActionResult AddressAndPayment()
        {
            return View();
        }

        // POST: /Checkout/AddressAndPayment
        [HttpPost]
        public ActionResult AddressAndPayment(FormCollection values)
        {
            var order = new Order();
            TryUpdateModel(order);
           
            try
            {
                order.Username = User.Identity.Name;
                order.OrderDate = DateTime.Now;
                
                //Save Order
                //storeDB.Orders.Add(order);
                //storeDB.SaveChanges();
                
                //Process the order
                var cart = ShoppingCart.GetCart(this.HttpContext);
                cart.CreateOrder(order);
               
                return RedirectToAction("Complete",new { id = order.OrderId });
            }
            catch
            {
                return View(order);
            }
        }

        // GET: /Checkout/Complete
        public ActionResult Complete(int id)
        {
            // Validate customer owns this order
            bool isValid = storeDB.Orders.Any(o => o.OrderId == id && o.Username == User.Identity.Name);

            if (isValid)
            {
                var order_detail = from u in storeDB.OrderDetails
                                   where u.OrderId == id
                                   select u;
                foreach (OrderDetail od in order_detail)
                {
                    var product = storeDB.Products.Find(od.ProductId);
                    product.Unit -= od.Quantity;
                    storeDB.Entry(product).State = EntityState.Modified;
                }
                storeDB.SaveChanges();
                return View(id);
            }

            else
            {
                return View("Error");
            }
        }
    }
}
