﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Globalization;
using System.Web.Mvc;
using System.Web.Security;

namespace Webshop.Models
{

    public class ChangePasswordModel
    {
        [Required]
        [DataType(DataType.Password)]
        [Display(Name = "Jelenlegi jelszavad")]
        public string OldPassword { get; set; }

        [Required]
        [StringLength(100, ErrorMessage = "A jelszónak minimum {2} karakter hosszúnak kell lennie.", MinimumLength = 7)]
        [DataType(DataType.Password)]
        [Display(Name = "Új jelszavad")]
        public string NewPassword { get; set; }

        [DataType(DataType.Password)]
        [Display(Name = "Új jelszavad megegyszer")]
        [Compare("NewPassword", ErrorMessage = "Nem egyezik a két jelszó.")]
        public string ConfirmPassword { get; set; }
    }

    public class LogOnModel
    {
        [Required]
        [Display(Name = "Felhasználó név")]
        public string UserName { get; set; }

        [Required]
        [DataType(DataType.Password)]
        [Display(Name = "Jelszó")]
        public string Password { get; set; }

        [Display(Name = "Emlékezz rám?")]
        public bool RememberMe { get; set; }
    }

    public class RegisterModel
    {
        [Required]
        [Display(Name = "Felhasználó név")]
        public string UserName { get; set; }

        [Required(ErrorMessage = "Email cím megadása szükséges.")]
        [Display(Name = "Email cím")]
        [RegularExpression(@"[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}", ErrorMessage = "Email cím nem valós. Kérlek valósat adj meg.")]
        [DataType(DataType.EmailAddress)]
        public string Email { get; set; }

        [Required]
        [StringLength(100, ErrorMessage = "A jelszónak minimum {2} karakter hosszúnak kell lennie.", MinimumLength = 7)]
        [DataType(DataType.Password)]
        [Display(Name = "Jelszó")]
        public string Password { get; set; }

        [DataType(DataType.Password)]
        [Display(Name = "Jelszó mégegyszer")]
        [Compare("Password", ErrorMessage = "Nem egyezik a két jelszó.")]
        public string ConfirmPassword { get; set; }
    }
}
