﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;

namespace Webshop.Models
{
    //[Bind(Exclude = "OrderId")]
    public partial class Order
    {
        [ScaffoldColumn(false)]
        public int OrderId { get; set; }
        
        [ScaffoldColumn(false)]
        public System.DateTime OrderDate { get; set; }
        
        [ScaffoldColumn(false)]
        public string Username { get; set; }
        
        [Required(ErrorMessage = "Vezetéknév megadása szükséges.")]
        [DisplayName("Vezetéknév")]
        [StringLength(160)]
        public string LastName { get; set; }
        
        [Required(ErrorMessage = "Keresztnév megadása szükséges.")]
        [DisplayName("Keresztnév")]
        [StringLength(160)]
        public string FirstName { get; set; }
        
        [Required(ErrorMessage = "Irányítószám megadása szükséges.")]
        [DisplayName("Irányítószám")]
        [StringLength(4)]
        public string PostalCode { get; set; }
        
        [Required(ErrorMessage = "Város  megadása szükséges.")]
        [DisplayName("Város")]
        [StringLength(50)]
        public string City { get; set; }
        
        [Required(ErrorMessage = "Cím megadása szükséges.")]
        [DisplayName("Utca, házszám")]
        [StringLength(100)]
        public string Address { get; set; }
        
        [Required(ErrorMessage = "Telefonszám megadása szükséges.")]
        [DisplayName("Telefonszám")]
        [StringLength(24)]
        public string Phone { get; set; }

        [Required(ErrorMessage = "Email cím megadása szükséges.")]
        [DisplayName("Email cím")]
        [RegularExpression(@"[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}", ErrorMessage = "Email cím nem valós. Kérlek valósat adj meg.")]
        [DataType(DataType.EmailAddress)]
        public string Email { get; set; }

        [ScaffoldColumn(false)]
        public decimal Total { get; set; }
        public List<OrderDetail> OrderDetails { get; set; }
    }
}