﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;


namespace Webshop.Models
{
    public class Product
    {
        [ScaffoldColumn(false)]
        public Int32 ProductId { get; set; }
        
        [DisplayName("Kategória")]
        public Int32 CategoryId { get; set; }
        
        [Required(ErrorMessage = "Kötelező a termék nevét megadni")]
        [StringLength(160)]
        [DisplayName("A termék neve")]
        public string Name { get; set; }
        
        [Required(ErrorMessage = "Kötelező a termék árát megadni")]
        [Range(1, 100000, ErrorMessage = "A termék árának 1 és 100000 között kell lennie")]
        [DisplayName("Ára")]
        public Int32 Price { get; set; }
        
        [Required(ErrorMessage = "Kötelező a termék darabszámát megadni")]
        [Range(0, 1000, ErrorMessage = "A termék darabszámának 0 és 1000 között kell lennie")]
        [DisplayName("Darabszáma")]
        public Int32 Unit { get; set; }
        
        [DisplayName("Kategória")]
        public virtual Category Category { get; set; }
        
        [DisplayName("Kép elérési útvonala a termékről")]
        [StringLength(1024)]
        public string Url{ get; set; }

        public virtual List<OrderDetail>OrderDetails { get; set; }
    }
}