﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.Entity;

namespace Webshop.Models
{
    public class SampleData : DropCreateDatabaseIfModelChanges<WebshopEntities>
    {
        protected override void Seed(WebshopEntities context)
        {
            var Categorys = new List<Category>
            {
                new Category { Name = "Ajándék" },
                new Category { Name = "Bizsu" },
                new Category { Name = "Barkács" },
                new Category { Name = "Dekoráció" },
                new Category { Name = "Édesség" },
                new Category { Name = "Fűrdőszobafelszerelés" },
                new Category { Name = "Konyhafelszerelés" },
                new Category { Name = "Papíráru" },
                new Category { Name = "Takarító eszközök" },
                new Category { Name = "Háztartási vegyi árú" }
            };

            new List<Product>
            {
				new Product { Name = "Ajándéktasak", Price = 150, Unit = 100, Category = Categorys.Single(c => c.Name == "Ajándék"), Url = "/Content/Images/Products/ajandektasak.png" },
				new Product { Name = "Horoszkópos gravírozott üvegtömb", Price = 750, Unit = 41, Category = Categorys.Single(c => c.Name == "Ajándék"), Url = "/Content/Images/Products/horoszkoposuvegtomb.png" },
				new Product { Name = "Kovácsoltvas gyertyatartó egy mécsessel", Price = 550, Unit = 12, Category = Categorys.Single(c => c.Name == "Ajándék"), Url = "/Content/Images/Products/kovacsoltvasgyertya.png" },
				new Product { Name = "Bőr hatású, ékszeres ládikó", Price = 1390, Unit = 5, Category = Categorys.Single(c => c.Name == "Ajándék"), Url = "/Content/Images/noimage.png" },
				new Product { Name = "Zárható humtartó", Price = 990, Unit = 4, Category = Categorys.Single(c => c.Name == "Ajándék"), Url = "/Content/Images/Products/zarhatohamutarto.png" },
				new Product { Name = "Fülbevaló", Price = 450, Unit = 60, Category = Categorys.Single(c => c.Name == "Bizsu"), Url = "/Content/Images/Products/fulbevalo.png" },
				new Product { Name = "Ezüstözött nyaklánc", Price = 690, Unit = 15, Category = Categorys.Single(c => c.Name == "Bizsu"), Url = "/Content/Images/Products/ezustozottnyaklanc.png" },
				new Product { Name = "Mágneses karkötő", Price = 300, Unit = 20, Category = Categorys.Single(c => c.Name == "Bizsu"), Url = "/Content/Images/Products/magneseskarkoto.png" },
				new Product { Name = "Gyűrű (állítható)", Price = 250, Unit = 50, Category = Categorys.Single(c => c.Name == "Bizsu"), Url = "/Content/Images/Products/allithatogyuru.png" },
				new Product { Name = "Dobozos fülbevaló", Price = 550, Unit = 12, Category = Categorys.Single(c => c.Name == "Bizsu"), Url = "/Content/Images/Products/dobozosfulbevalo.png" },		
                new Product { Name = "Hosszú ezüstös nyaklánc", Price = 1390, Unit = 4, Category = Categorys.Single(c => c.Name == "Bizsu"), Url = "/Content/Images/Products/hosszunyaklanc.png" },
				new Product { Name = "Fa karkötő", Price = 300, Unit = 5, Category = Categorys.Single(c => c.Name == "Bizsu"), Url = "/Content/Images/Products/fakarkoto.png" },
				new Product { Name = "Merev műanyag karkötő", Price = 300, Unit = 15, Category = Categorys.Single(c => c.Name == "Bizsu"), Url = "/Content/Images/Products/merevmuanyagkarkoto.png" },
				new Product { Name = "Csillogós nyaklánc, fülbevalóval", Price = 790, Unit = 5, Category = Categorys.Single(c => c.Name == "Bizsu"), Url = "/Content/Images/Products/nyaklancfulbevalo.png" },
				new Product { Name = "Köves karkötő", Price = 700, Unit = 10, Category = Categorys.Single(c => c.Name == "Bizsu"), Url = "/Content/Images/Products/koveskarkoto.png" },
				new Product { Name = "Köves hajcsatt", Price = 300, Unit = 5, Category = Categorys.Single(c => c.Name == "Bizsu"), Url = "/Content/Images/Products/kovescsatt.png" },
				new Product { Name = "Köves hajráf", Price = 250, Unit = 10, Category = Categorys.Single(c => c.Name == "Bizsu"), Url = "/Content/Images/Products/koveshajraf.png" },
                new Product { Name = "Íves fém polc", Price = 1690, Unit = 2, Category = Categorys.Single(c => c.Name == "Barkács"), Url = "/Content/Images/Products/ivesfempolc.png" },
				new Product { Name = "Fa fogas", Price = 349, Unit = 3, Category = Categorys.Single(c => c.Name == "Barkács"), Url = "/Content/Images/Products/fafogas.png" },
				new Product { Name = "Kábelkötegelő", Price = 250, Unit = 10, Category = Categorys.Single(c => c.Name == "Barkács"), Url = "/Content/Images/Products/kabelkotegelo.png" },
				new Product { Name = "Kampó", Price = 300, Unit = 13, Category = Categorys.Single(c => c.Name == "Barkács"), Url = "/Content/Images/Products/kampo.png" },
				new Product { Name = "Lakat", Price = 320, Unit = 5, Category = Categorys.Single(c => c.Name == "Barkács"), Url = "/Content/Images/Products/lakat.png" },
				new Product { Name = "Ledes lámpa", Price = 390, Unit = 3, Category = Categorys.Single(c => c.Name == "Barkács"), Url = "/Content/Images/Products/ledlampa.png" },
				new Product { Name = "Hűtőmágnes", Price = 290, Unit = 10, Category = Categorys.Single(c => c.Name == "Dekoráció"), Url = "/Content/Images/Products/hutomagnes.png" },
				new Product { Name = "Képkeret", Price = 790, Unit = 1, Category = Categorys.Single(c => c.Name == "Dekoráció"), Url = "/Content/Images/Products/kepkeret.png" },
				new Product { Name = "Mécsestartó", Price = 490, Unit = 6, Category = Categorys.Single(c => c.Name == "Dekoráció"), Url = "/Content/Images/Products/mecsestarto.png" },
				new Product { Name = "Művirág", Price = 300, Unit = 46, Category = Categorys.Single(c => c.Name == "Dekoráció"), Url = "/Content/Images/Products/muvirag.png" },
				new Product { Name = "Napelemes billegő dísz", Price = 490, Unit = 20, Category = Categorys.Single(c => c.Name == "Dekoráció"), Url = "/Content/Images/Products/napelemesbillego.png" },
				new Product { Name = "Molly csokis szelet, rumos diós, 26g", Price = 35, Unit = 60, Category = Categorys.Single(c => c.Name == "Édesség"), Url = "/Content/Images/Products/molly.png" },
				new Product { Name = "Macera csokis szelet, 30g", Price = 50, Unit = 48, Category = Categorys.Single(c => c.Name == "Édesség"), Url = "/Content/Images/Products/macera.png" },
				new Product { Name = "Tuvana desszert 180g", Price = 590, Unit = 3, Category = Categorys.Single(c => c.Name == "Édesség"), Url = "/Content/Images/noimage.png" },
				new Product { Name = "Aro kakaós nápolyi", Price = 340, Unit = 6, Category = Categorys.Single(c => c.Name == "Édesség"), Url = "/Content/Images/noimage.png" },
				new Product { Name = "Milka táblacsoki", Price = 240, Unit = 88, Category = Categorys.Single(c => c.Name == "Édesség"), Url = "/Content/Images/Products/milka.png" },
				new Product { Name = "Milka Wafellini", Price = 90, Unit = 50, Category = Categorys.Single(c => c.Name == "Édesség"), Url = "/Content/Images/Products/milkaw.png" },
				new Product { Name = "Csúszásgátló fűrdőkádba", Price = 790, Unit = 7, Category = Categorys.Single(c => c.Name == "Fűrdőszobafelszerelés"), Url = "/Content/Images/Products/csuszasgatlo.png" },
				new Product { Name = "Fogkefetartó", Price = 300, Unit = 4, Category = Categorys.Single(c => c.Name == "Fűrdőszobafelszerelés"), Url = "/Content/Images/Products/fogkefetarto.png" },
				new Product { Name = "Fogkefe-fogkrém tartó", Price = 299, Unit = 16, Category = Categorys.Single(c => c.Name == "Fűrdőszobafelszerelés"), Url = "/Content/Images/Products/fogkefefogkremtarto.png" },
				new Product { Name = "Fűrdőszobai tároló, műanyag 19x9x12 cm", Price = 480, Unit = 1, Category = Categorys.Single(c => c.Name == "Fűrdőszobafelszerelés"), Url = "/Content/Images/Products/furdoszobaitarolo.png" },
				new Product { Name = "Fűrdőszobaszőnyeg, 60x40 cm", Price = 990, Unit = 1, Category = Categorys.Single(c => c.Name == "Fűrdőszobafelszerelés"), Url = "/Content/Images/noimage.png" },
				new Product { Name = "Asztalteritő", Price = 890, Unit = 1, Category = Categorys.Single(c => c.Name == "Konyhafelszerelés"), Url = "/Content/Images/Products/asztalterito.png" },
				new Product { Name = "Befőttesüveg nyitó", Price = 200, Unit = 6, Category = Categorys.Single(c => c.Name == "Konyhafelszerelés"), Url = "/Content/Images/Products/befottesuvegnyito.png" },
				new Product { Name = "Citromfacsaró", Price = 300, Unit = 9, Category = Categorys.Single(c => c.Name == "Konyhafelszerelés"), Url = "/Content/Images/Products/citromfacsaro.png" },
				new Product { Name = "Cukorszóró", Price = 349, Unit = 5, Category = Categorys.Single(c => c.Name == "Konyhafelszerelés"), Url = "/Content/Images/Products/cukorszoro.png" },
				new Product { Name = "Edényszárító műanyag", Price = 1200, Unit = 4, Category = Categorys.Single(c => c.Name == "Konyhafelszerelés"), Url = "/Content/Images/Products/edenyszarito.png" },
				new Product { Name = "Papírtörlő", Price = 230, Unit = 18, Category = Categorys.Single(c => c.Name == "Papíráru"), Url = "/Content/Images/Products/papirtorlo.png" },
				new Product { Name = "Papírzsebkendő 100db", Price = 80, Unit = 60, Category = Categorys.Single(c => c.Name == "Papíráru"), Url = "/Content/Images/Products/papirzsebkendo.png" },
				new Product { Name = "Papírzsebkendő 10x10db", Price = 220, Unit = 61, Category = Categorys.Single(c => c.Name == "Papíráru"), Url = "/Content/Images/noimage.png" },
				new Product { Name = "Szalvéta, 28x28 cm, 50db", Price = 100, Unit = 5, Category = Categorys.Single(c => c.Name == "Papíráru"), Url = "/Content/Images/Products/szalveta.png" },
				new Product { Name = "WC papír 24 tekrcses", Price = 850, Unit = 84, Category = Categorys.Single(c => c.Name == "Papíráru"), Url = "/Content/Images/Products/wcpapir.png" },
				new Product { Name = "Cérnakesztyű", Price = 290, Unit = 12, Category = Categorys.Single(c => c.Name == "Takarító eszközök"), Url = "/Content/Images/Products/cernakesztyu.png" },
				new Product { Name = "Felmosófej", Price = 270, Unit = 10, Category = Categorys.Single(c => c.Name == "Takarító eszközök"), Url = "/Content/Images/Products/felmosofej.png" },
				new Product { Name = "Felmosóvödör", Price = 500, Unit = 10, Category = Categorys.Single(c => c.Name == "Takarító eszközök"), Url = "/Content/Images/Products/felmosovodor.png" },
				new Product { Name = "Gumikesztyű", Price = 320, Unit = 10, Category = Categorys.Single(c => c.Name == "Takarító eszközök"), Url = "/Content/Images/noimage.png" },
				new Product { Name = "Partvisfej", Price = 590, Unit = 1, Category = Categorys.Single(c => c.Name == "Takarító eszközök"), Url = "/Content/Images/Products/partvisfej.png" },
				new Product { Name = "Cillit Bang konyhai tisztító 1L", Price = 640, Unit = 6, Category = Categorys.Single(c => c.Name == "Háztartási vegyi árú"), Url = "/Content/Images/Products/cilitbang.png" },
				new Product { Name = "Clorox fehérítő 1L", Price = 350, Unit = 1, Category = Categorys.Single(c => c.Name == "Háztartási vegyi árú"), Url = "/Content/Images/Products/clorox.png" },
				new Product { Name = "Csodaszóda tisztítószer 500g", Price = 240, Unit = 126, Category = Categorys.Single(c => c.Name == "Háztartási vegyi árú"), Url = "/Content/Images/Products/csodaszoda.png" },
				new Product { Name = "Vanish folteltávolító 1L", Price = 600, Unit = 4, Category = Categorys.Single(c => c.Name == "Háztartási vegyi árú"), Url = "/Content/Images/Products/vanish.png" },
				new Product { Name = "Lorin folyékony szappan 500ml", Price = 260, Unit = 10, Category = Categorys.Single(c => c.Name == "Háztartási vegyi árú"), Url = "/Content/Images/Products/lorin.png" },
            }.ForEach(p => context.Products.Add(p));
        }
    }
}